ComRaidComRaid Docs
API referenceEndpoints

Register FCM endpoint

POST
/contacts/{external_user_id}/endpoints

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Project API key (cr_sk_...)

Path Parameters

external_user_id*string

Request Body

application/json
  1. body
channel?"push"
Default"push"
Value in"push"
provider?string

When omitted, android defaults to fcm and ios defaults to apns. Use fcm with ios for Firebase Messaging tokens.

Value in"fcm""apns"
address*string

FCM registration token or APNs device token

platform*string
Value in"android""ios"
metadata?

For APNs include apns_environment (sandbox or production)

Response Body

Created

application/json
  1. response
endpoint_id?string
Formatuuid
contact_id?string
Formatuuid
channel?string
provider?string
platform?string
Example Request
curl -X POST 'https://api.comraid.io/contacts/string/endpoints' \  -H 'Content-Type: application/json' \  -d '{  "address": "string",  "platform": "android"}'
Example Response
{  "endpoint_id": "e9ce0d4f-d433-423d-9497-4c000544106c",  "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598",  "channel": "string",  "provider": "string",  "platform": "string"}